<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="CMRC_Disc">
    <refnamediv>
        <refname>CMRC_Disc</refname>
        <refpurpose>CMRC_Disc Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../../images/gif/CMRC_Disc.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_CMRC_Disc">
        <title>Description</title>
        <para>
            1-dim. rotational rigid component without inertia, where right flange is rotated by a fixed angle with respect to left flange
        </para>
    </refsection>
    <refsection id="Palette_CMRC_Disc">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Mechanics_Rotational_pal">Mechanics_Rotational - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../../images/gui/CMRC_Disc_gui.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">deltaPhi [rad] : Fixed rotation of left flange with respect to right flange (= flange_b.phi - flange_a.phi)</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_CMRC_Disc">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'flange_a'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Mechanics Rotational type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'flange_b'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Mechanics Rotational type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Parameters :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'deltaPhi'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_CMRC_Disc">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>CMRC_Disc.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_CMRC_Disc">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>CMRC_Disc in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
